stages:
  - build
  - deploy

generate-deck:
  stage: build
  image:
    name: marpteam/marp-cli
    entrypoint: [""]
  script :
    - mkdir build/
    - if [[ -d imagens ]]; then cp -R imagens build/imagens; fi
    - export MARP_USER="$(id -u):$(id -g)"
    - /home/marp/.cli/docker-entrypoint slide-deck.md --theme themes/academic.css --allow-local-files -o build/index.html
    - /home/marp/.cli/docker-entrypoint slide-deck.md --theme themes/academic.css --allow-local-files -o build/introducao-sobre-observabilidade-em-sistemas-distribuidos.pdf
  artifacts:
    paths:
      - "build/"

pages:
  stage: deploy
  script:
    - mv build public
  artifacts:
    paths:
      - public
  dependencies:
    - generate-deck